'use strict';

/**
 *
 *
 * @author Zhong
 * @date 2018/5/24
 * @version
 */
import express from "express";
import SysToolsController from "../controllers/sys_controller";

let router = express.Router();
let sysToolsController = new SysToolsController();

module.exports = function (app) {
    router.post('/clearJunkData', sysToolsController.auth, sysToolsController.init, sysToolsController.clearJunkData);
    router.post('/clearFakeData', sysToolsController.auth, sysToolsController.init, sysToolsController.clearFakeData);

    router.post('/uploadUserGuide', sysToolsController.auth, sysToolsController.init, sysToolsController.uploadFile);

    app.use("/sysTools/api", router);

};